empty
get_defined_vars
Variable handling Functions
PHP Manual

# floatval

Get float value of a variable

### Description

float floatval ( mixed `$var` )

Gets the float value of `var`.

### Parameters

`var`

  May be any scalar type. floatval should not be used on objects, as doing so will emit an `E_NOTICE` level error and return 1.

### Return Values

The float value of the given variable. Empty arrays return 0, non-empty arrays return 1.

Strings will most likely return 0 although this depends on the leftmost characters of the string. The common rules of float casting apply.

### Examples

Example #1 floatval Example

`<?php
$var = '122.34343The';
$float_value_of_var = floatval($var);
echo $float_value_of_var; // 122.34343
?>`

### See Also

- boolval
- intval
- strval
- settype
- Type juggling